//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * UML: Handled as 'mixed text' stored as a string, but with parallel tags identifying language
 * 
 * <p>Java class for FreeFormMarkupWithLanguage complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FreeFormMarkupWithLanguage"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{}VariousMixedContent"&gt;
 *       &lt;attribute name="language" type="{}LanguageCode" /&gt;
 *       &lt;attribute name="lastTranslated" type="{}TimeStampNoTimezone" /&gt;
 *       &lt;attribute name="mimeType" type="{}MimeType" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FreeFormMarkupWithLanguage")
@XmlSeeAlso({
    TransactionTrigger.class,
    Designation.class
})
@XmlRootElement(name="FreeFormMarkupWithLanguage")
public class FreeFormMarkupWithLanguage
    extends VariousMixedContent
{

    @XmlAttribute(name = "language")
    private String language;
    @XmlAttribute(name = "lastTranslated")
    private XMLGregorianCalendar lastTranslated;
    @XmlAttribute(name = "mimeType")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String mimeType;

    /**
     * Gets the value of the language property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLanguage() {
        return language;
    }

    /**
     * Sets the value of the language property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLanguage(String value) {
        this.language = value;
    }

    /**
     * Gets the value of the lastTranslated property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getLastTranslated() {
        return lastTranslated;
    }

    /**
     * Sets the value of the lastTranslated property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setLastTranslated(XMLGregorianCalendar value) {
        this.lastTranslated = value;
    }

    /**
     * Gets the value of the mimeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMimeType() {
        return mimeType;
    }

    /**
     * Sets the value of the mimeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMimeType(String value) {
        this.mimeType = value;
    }

}
